/* Video Module for Kaltura 
	updated 14 May 2013
	note:  the Kaltura player (kdp) returns and accepts video time in seconds; IVT counts in 1/10 sec
	Also note:  this version of a Kaltura module requires that the Kaltura identifiers for videos be entered directly in the 
	setNewVideo() function below here.  If you are using Kaltura for streaming and HTML5 for a disk version, you do not
	need to adjust the references to disk files in the arrays.js file since they are not used by this module.  That makes switching
	between streaming and disk versions easier:  just switch the video modules, or the <script> reference in the IVT.html header.*/
	
var Secs = 0;
var duration = 0;
var fullScreen = true;				/* required: set to true if interface supports fullscreen */
	
function insertVideo()														/* core function */
{
	document.write('Kaltura embed code for blank screen or series title video goes here.  Remove all line breaks and check that all internal quotation marks are double quotes');
	if (window.win2) win2.document.write("insert Video complete<br />");
}

function jsCallbackReady(objectId) 									/* internal routine */
{
	window.kdp = document.getElementById(objectId);  
	kdp.addJsListener("kdpReady", "kdpReady");
	kdp.addJsListener("readyToPlay","readyToPlay");
	kdp.addJsListener("durationChange","logNewDuration");
	if (window.win2) win2.document.write("* kdpCallBack: objectId = " + objectId + "<br />");
}

function kdpReady()															/* internal routine */
{
	if (window.win2) win2.document.write("* kdpReady<br />");
}

function readyToPlay()														/* internal routine */
{
	if (window.win2) win2.document.write("* readyToPlay <br />");
    kdp.sendNotification("doPlay");
    enableContr();
}

function logNewDuration()												/* internal routine */			
{
    duration = kdp.evaluate("{video.player.duration}");
    duration = (10 * duration)/1 | 0;	
    vLoaded = true;															/* this variable must be set when  video is ready */
	if (window.win2) win2.document.write("duration logged:" + duration + "; pageMax:" + pageMax + "; vLoaded: " + vLoaded + "<br />");
	if (sessionNum > 0) setTimeout("jumpPage();",300);
	else pausePlayer();
}

function setVideoTime()													/* core function */
{
	var seekTime = pageTime/10 | 0;
	if (window.win2) win2.document.write("* setVideoTime = " + seekTime + "<br />");
	kdp.sendNotification("doSeek",seekTime);
}

function setNewVideo()														/* core function */
{
	if (window.win2) win2.document.write("* setNewVideo: sessionNum = " + sessionNum + "<br />");
	var vidToLoad = parseInt(sessionNum);
	switch (vidToLoad)
		{
			case 0:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 1:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 2:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 3:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 4:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 5:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 6:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 7:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
			case 8:	
				kdp.sendNotification('changeMedia', {entryId: 'yourEntryId'}); 
				break;
		}
	vLoaded = false;
}

function startPlayer()														/* core function */
{
	kdp.sendNotification("doPlay");
}

function pausePlayer()													/* core function */
{
	kdp.sendNotification("doPause");
}

function setPlayRate()													/* core for editor only */
{
	document.controls.rateBox.value = 1;						/* replace if browser supports function */
}

function getCurrentTime()												/* core function */
{
    Secs = kdp.evaluate("{video.player.currentTime}");
    var secTenths = Secs * 10
    secTenths = Math.floor(secTenths);
    return(secTenths);
}

function checkForEnd()													/* core function */
{
    duration = kdp.evaluate("{video.player.duration}");
	if (Secs == duration) return (true);
}